--- src/3rdparty/chromium/sandbox/policy/BUILD.gn.orig	2023-08-17 07:33:31 UTC
+++ src/3rdparty/chromium/sandbox/policy/BUILD.gn
@@ -35,7 +35,7 @@ component("policy") {
     "//sandbox/policy/mojom",
   ]
   public_deps = [ "//sandbox:common" ]
-  if (is_linux || is_chromeos) {
+  if ((is_linux || is_chromeos) && !is_bsd) {
     sources += [
       "linux/bpf_audio_policy_linux.cc",
       "linux/bpf_audio_policy_linux.h",
@@ -106,6 +106,27 @@ component("policy") {
       "//sandbox/linux:sandbox_services",
       "//sandbox/linux:seccomp_bpf",
       "//sandbox/linux:suid_sandbox_client",
+    ]
+  }
+  if (is_openbsd) {
+    sources += [
+      "openbsd/sandbox_openbsd.cc",
+      "openbsd/sandbox_openbsd.h",
+    ]
+    deps += [
+      "//sandbox:sandbox_buildflags",
+      "//ui/gfx/x",
+    ]
+    libs = [ "util" ]
+  }
+  if (is_freebsd) {
+    sources += [
+      "freebsd/sandbox_freebsd.cc",
+      "freebsd/sandbox_freebsd.h",
+    ]
+    deps += [
+      "//sandbox:sandbox_buildflags",
+      "//ui/gfx/x",
     ]
   }
   if (is_chromeos_ash) {
